%global gdate	20201102
%global rel	2

# do not provide plugin .so
%global __provides_exclude_from ^%{_libdir}/wxformbuilder/.*\.so

Name:		wxformbuilder
Summary:	GUI builder for wxWidgets
Version:	3.9.0
Release:	%mkrel %{?gdate:1.git%gdate.}%{rel}
License:	GPLv2
Group:		Development/Other
Url:		https://github.com/wxFormBuilder/wxFormBuilder
Source0:	https://github.com/wxFormBuilder/wxFormBuilder/archive/v%{version}/wxFormBuilder-%{?gdate}%{!?gdate:%version}.tar.gz
Patch1:		ticpp.patch
Patch2:		wxgtk3.1.4.patch
BuildRequires:	meson
BuildRequires:	wxgtk-devel
BuildRequires:	ticpp-devel
BuildRequires:	imagemagick

%description
RAD tool for wxWidgets GUI design.

%prep
%autosetup -n wxFormBuilder-%{?gdate}%{!?gdate:%version} -p1

%build
%meson
%meson_build

%install
%meson_install

#icon
mkdir -p %{buildroot}%{_iconsdir}/hicolor/64x64/apps/
convert 'src/wxFormBuilder.ico[0]' %{buildroot}%{_iconsdir}/hicolor/64x64/apps/wxFormBuilder.png

# .desktop file
mkdir -p %{buildroot}%{_datadir}/applications/
cat << EOF > %{buildroot}%{_datadir}/applications/wxFormBuilder.desktop
[Desktop Entry]
Type=Application
Name=wxFormBuilder
Comment=GUI builder for wxWidgets
Exec=wxformbuilder
Icon=wxFormBuilder
Terminal=false
StartupNotify=false
Categories=Development;GUIDesigner
EOF

%files
%license COPYING
%doc README*
%{_bindir}/wxformbuilder
%{_libdir}/wxformbuilder/
%{_datadir}/wxformbuilder/
%{_datadir}/applications/wxFormBuilder.desktop
%{_iconsdir}/hicolor/64x64/apps/wxFormBuilder.png


%changelog
* Sun Jan 03 2021 wally <wally> 3.9.0-1.git20201102.2.mga8
+ Revision: 1668469
- add patch to fix error with wxgtk >= 3.1.4

* Sun Jan 03 2021 wally <wally> 3.9.0-1.git20201102.1.mga8
+ Revision: 1668423
- imported package wxformbuilder

